package dfatool.values;

public class IntValue implements Value{
	
	Integer value;
	
	public IntValue(int i) {
		this.value = i;
	}

	public Integer getValue(){
		return value;
	}
	@Override
	public boolean equals(Object o) {
		if(o instanceof IntValue){
			IntValue s = (IntValue) o;
			return value.equals(s.getValue());
		}else{
			return value.equals(o);			
		}
	}
	
	@Override
	public int hashCode() {
		return value.hashCode();
	}
	
	@Override
	public java.lang.String toString() {
		return Integer.toString(value);
	}

}
